xulrunner-1.9 to become default gecko provider in hardy

Alexander Sack asac at jwsdot.com
Tue Oct 23 12:17:12 BST 2007


Hi all,

as you might have noticed, we (finally) ship firefox-3.0 based on
xulrunner-1.9 in gutsy universe.

We did this not only to ship the latest firefox beta, but more
importantly to allow upstream developers to take a glance at the new
xulrunner, how its packaged, how the new gecko API feels like and
finally to give them a chance to adapt their code-base in time for
hardy.

So, if you maintain a gecko embedding package, _please_ point your
upstream devs to the xulrunner-1.9(-dev) packages available in gutsy
and ask them to report any issues they might have as a bug against
xulrunner-1.9. If you or your upstreams need help or have questions on
xulrunner-1.9 and how to upgrade, feel free to join
#ubuntu-mozillateam on freenode or the mozillateam mailing list
(ubuntu-mozillateam at lists.ubuntu.com - subscription required!).

Thanks,

 - Alexander




More information about the Ubuntu-devel-discuss mailing list